Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.geometry.coordinate
Interface Knot

    @UML(identifier="GM_Knot",
         specification=ISO_19107)
    public interface Knot

Controls the constructive parameter space for spline curves and surfaces. Each knot sequence is used for a dimension of the spline's parameter space. Thus, in a surface spline, there will be two knot sequences, one for each parameter (u, v). The ith, jth would be (ui, vj), where the original knot sequences were (ui) and (vj). Each knot of a spline curve or surface is described using a `Knot`.

Since:
  GeoAPI 2.0
Version:
  ISO 19107

Method Summary
`int` | `getMultiplicity()` The multiplicity of this knot used in the definition of the spline (with the same weight).
`double` | `getValue()` The value of the parameter at the knot of the spline.
`double` | `getWeight()` The value of the averaging weight used for this knot of the spline.

Method Detail

### getValue

    @UML(identifier="value",
         obligation=MANDATORY,
         specification=ISO_19107)
    double getValue()

  The value of the parameter at the knot of the spline. The sequence of knots shall be a nondecreasing sequence. That is, each knot's value in the sequence shall be equal to or greater than the previous knot's value. The use of equal consecutive knots is normally handled using the multiplicity.

### getMultiplicity

    @UML(identifier="multiplicity",
         obligation=MANDATORY,
         specification=ISO_19107)
    int getMultiplicity()

  The multiplicity of this knot used in the definition of the spline (with the same weight).

### getWeight

    @UML(identifier="weight",
         obligation=MANDATORY,
         specification=ISO_19107)
    double getWeight()

  The value of the averaging weight used for this knot of the spline.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.